%define mainrel 1
%define date    20170320
%define commit  eec71d977a83f8dc76bc3ccc6de5cbd3be378572
%define rel     4

Name:           msr-tools
Version:        1.3
Release:        %mkrel %{mainrel}.%{date}.%{rel}
Summary:        Collection of tools for reading/writing CPU model specific registers
Group:          System/Kernel and hardware
License:        GPLv2+
Url:            https://01.org/msr-tools
#Source0:        https://01.org/sites/default/files/downloads/%%{name}/%%{name}-%%{version}.zip
# Master branch from https://github.com/intel/msr-tools
Source0:        https://github.com/intel/msr-tools/archive/%{commit}/%{name}-%{commit}.tar.gz
ExclusiveArch:  %{ix86} x86_64

%description
This is a small collection of tools to allow reading and writing
of CPU model specific registers

%prep
%autosetup -p1 -n %{name}-%{commit}

%build
autoreconf -vfi
%configure --bindir=%{_sbindir}
%make_build

%install
%make_install

%files
%{_sbindir}/rdmsr
%{_sbindir}/wrmsr
%{_sbindir}/msr-cpuid


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.3-1.20170320.4.mga10
+ Revision: 2195570
- Mageia 10 Mass Rebuild

* Tue Mar 15 2022 umeabot <umeabot> 1.3-1.20170320.3.mga9
+ Revision: 1792597
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 1.3-1.20170320.2.mga8
+ Revision: 1526483
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat May 18 2019 akien <akien> 1.3-1.20170320.1.mga7
+ Revision: 1398424
- Mageia-ify
- Update to latest master commit
- import msr-tools-1.3-11.fc30 from Fedora 30


* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jul 23 2018 Greg Bailey <gbailey@lxpro.com> - 1.3-10
- Add missing BuildRequires: gcc

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct  9 2015 Greg Bailey <gbailey@lxpro.com> - 1.3-3
- Support for increased number of processors (#1268604)

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Sep 23 2014 Greg Bailey <gbailey@lxpro.com> - 1.3-1
- Update to 1.3
- Update URL to new location
- Rename cpuid to msr-cpuid to avoid conflict with existing Fedora package

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Mar 13 2008 Dave Jones <davej@redhat.com> 1.1.2-1
- Initial packaging
